gig::buffer_t Struct Reference

Pointer address and size of a buffer. More...

`#include <gig.h>`

## Public Attributes

void * | pStart
| Points to the beginning of the buffer.
file_offset_t | Size
| Size of the actual data in the buffer in bytes.
file_offset_t | NullExtensionSize

The buffer might be bigger than the actual data, if that's the case that unused space at the end of the buffer is filled with NULLs and NullExtensionSize reflects that unused buffer space in bytes. Those NULL extensions are mandatory for differential algorithms that have to take the following data words into account, thus have to access past the buffer's boundary. If you don't know what I'm talking about, just forget this variable. :).

## Detailed Description

Pointer address and size of a buffer.

Definition at line 114 of file gig.h.

## Constructor & Destructor Documentation

## buffer_t()

gig::buffer_t::buffer_t | ( |  | ) |

inline

Definition at line 118 of file gig.h.

## Member Data Documentation

## NullExtensionSize

file_offset_t gig::buffer_t::NullExtensionSize

The buffer might be bigger than the actual data, if that's the case that unused space at the end of the buffer is filled with NULLs and NullExtensionSize reflects that unused buffer space in bytes. Those NULL extensions are mandatory for differential algorithms that have to take the following data words into account, thus have to access past the buffer's boundary. If you don't know what I'm talking about, just forget this variable. :).

Definition at line 117 of file gig.h.

Referenced by gig::Sample::CreateDecompressionBuffer(), gig::Sample::DestroyDecompressionBuffer(), gig::Sample::GetCache(), and Korg::KSFSample::GetCache().

## pStart

void* gig::buffer_t::pStart

Points to the beginning of the buffer.

Definition at line 115 of file gig.h.

Referenced by gig::Sample::CreateDecompressionBuffer(), gig::Sample::DestroyDecompressionBuffer(), gig::Sample::GetCache(), Korg::KSFSample::GetCache(), gig::Sample::Read(), and Korg::KSFSample::ReleaseSampleData().

## Size

file_offset_t gig::buffer_t::Size

Size of the actual data in the buffer in bytes.

Definition at line 116 of file gig.h.

Referenced by gig::Sample::CreateDecompressionBuffer(), gig::Sample::DestroyDecompressionBuffer(), gig::Sample::GetCache(), Korg::KSFSample::GetCache(), and gig::Sample::Read().

The documentation for this struct was generated from the following file:

- gig.h